%define	modeversion 0.7.0

Name:		gnuplot
Summary:	A program for plotting mathematical expressions and data
Version:	5.0.6
Release:	%mkrel 2
License:	Freeware-like
Group:		Sciences/Other
URL:		http://www.gnuplot.info/
Source0:	http://download.sourceforge.net/gnuplot/%{name}-%{version}.tar.gz
Source1:	https://github.com/bruceravel/gnuplot-mode/archive/%{modeversion}/%{name}-mode-%{modeversion}.tar.gz
Source2:	http://www.gnuplot.info/faq/faq.html
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		gnuplot-mode-0.7.0-disable-f9.patch
Patch2:		gnuplot-4.6.3-nocrossbuild.patch

BuildRequires:	libx11-devel
BuildRequires:	libcerf-devel
BuildRequires:	emacs-bin
BuildRequires:	ncurses-devel
BuildRequires:	png-devel
BuildRequires:	readline-devel
BuildRequires:	texlive
BuildRequires:	texlive-texmf
BuildRequires:	texinfo
BuildRequires:	gd-devel
BuildRequires:	cairo-devel
BuildRequires:	lua-devel
BuildRequires:	wxgtk-devel
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5PrintSupport)

Conflicts:	gnuplot-nox < 4.4.4-3
Requires(post):	info-install
Requires(preun): info-install
Requires:	%{name}-nox = %{version}-%{release}

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%package qt
Summary:        A program for plotting mathematical expressions and data
Group:          Sciences/Other

%description qt
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot-qt if you need a graphics package for scientific data
representation.

%package nox
Summary:	A program for plotting mathematical expressions and data
Group:		Sciences/Other
Conflicts:	gnuplot < 4.4.4-4
Obsoletes:	%{name}-doc < 4.4.4-3
Provides:	%{name}-doc = %{version}-%{release}

%description nox
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

This package provides GNUPlot without any X dependency.

%package mode
Summary:	Yet another Gnuplot mode for Emacs
Group:		Sciences/Other
Conflicts:	gnuplot < 4.4.3

%description mode
Gnuplot is a major mode for Emacs flavours with the following features:

 - Functions for plotting lines, regions, entire scripts, or entire files
 - Graphical interface to setting command arguments
 - Syntax colorization
 - Completion of common words in Gnuplot
 - Code indentation
 - On-line help using Info for Gnuplot functions and features
 - Interaction with Gnuplot using comint
 - Pull-down menus plus a toolbar in XEmacs
 - Distributed with a quick reference sheet in postscript.

%prep
%setup -q -a 1
%autopatch -p1

perl -pi -e 's|(^\s*)mkinstalldirs\s|$1./mkinstalldirs |' gnuplot-mode-%{modeversion}/Makefile.in
# Non-free stuff. Ouch. -- Geoff
rm -f demo/prob.dem demo/prob2.dem

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fno-fast-math"
export CONFIGURE_TOP=..

mkdir build-nox
pushd build-nox
	%configure2_5x \
		--with-readline=gnu \
		--without-linux-vga \
		--without-x \
		--without-qt \
		--disable-wxwidgets
	%make_build -C src
	make -C docs ps
	%make_build -C docs pdf
popd

mkdir build-x11
pushd build-x11
	%configure2_5x \
		--with-readline=gnu \
		--without-linux-vga \
		--without-qt
	%make_build
popd

mkdir build-qt
pushd build-qt
        %configure2_5x \
                --with-readline=gnu \
                --without-linux-vga \
                --with-qt
        %make_build
popd

unset CONFIGURE_TOP
pushd gnuplot-mode-%{modeversion}
	%configure2_5x
	%make_build
popd

cp -f %SOURCE2 .
chmod 644 faq.html

%install

pushd build-qt
        %make_install
        mv $RPM_BUILD_ROOT%{_bindir}/gnuplot $RPM_BUILD_ROOT%{_bindir}/gnuplot-qt
popd

pushd build-nox
	%make_install
	mv %{buildroot}/%{_bindir}/gnuplot %{buildroot}/%{_bindir}/gnuplot-nox
popd

pushd build-x11
	%make_install
popd

pushd gnuplot-mode-%{modeversion}
	%make_install
	pdflatex gpelcard
    	install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
    	install -m 644 dotemacs.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{name}.el
popd


# Copy back from build dir to be able to package those files
pushd build-nox
	cp docs/*.pdf ../docs/
	cp docs/*.ps ../docs/
popd

# menu

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Gnuplot
GenericName=Function plotting program
GenericName[ru]=Построение графиков функций
Comment=The famous function plotting program
Comment[af]=Die welbekende funksieplotprogram
Comment[ar]=برنامج تحديد الوظائف الشهير
Comment[az]=Funksiya çap edici proqram
Comment[bg]=Програма за чертане с плотер
Comment[bn]=ফাংশন প্লট অঙ্কনকারী বিখ্যাত প্রোগ্রাম
Comment[bs]=Poznati program za crtanje funkcija
Comment[ca]=El conegut programa de funcions d'impressió amb traçador
Comment[cs]=Známý program pro vytváření grafů funkcí
Comment[cy]=Rhaglen plotio swyddogaeth enwog
Comment[da]=Det berømte funktion-plotteprogram
Comment[de]=Das berühmte Programm zur Darstellung mathematischer Funktionen
Comment[el]=Το διάσημο πρόγραμμα σχεδίασης μαθηματικών συναρτήσεων
Comment[es]=El programa famoso de graficado de funciones
Comment[et]=Kuulus funktsioonide joonistamise rakendus
Comment[eu]=Funtzioak marrazteko programa ospetsua
Comment[fa]=برنامه‌ی مشهور ترسیم تابع
Comment[fi]=Kuuluisa kuvaajienpiirto-ohjelma
Comment[fr]=Le fameux programme de traçage de fonction
Comment[gl]=O famoso programa de representación de funcións
Comment[he]=תוכנת ציור הפונקציות המפורסמת
Comment[hi]=एक प्रसिद्ध फ़ंक्शन प्लौटिंग प्रोग्राम
Comment[hr]=Čuveni program za crtanje funkcija
Comment[hu]=Elterjedt függvényábrázoló
Comment[id]=Program plot terkenal
Comment[is]=Víðfrægt falla-teikniforrit
Comment[it]=Il famoso programma per tracciare funzioni
Comment[ja]=有名な関数プロットソフト
Comment[ky]=Белгилүү функция сызуучу програм
Comment[lt]=Garsioji funkcijų braižymų programa
Comment[lv]=Slavenā programma funkciju zīmēšanai
Comment[mk]=Познатиот програм за цртање графици на функции
Comment[mt]=Programm famuż li jipplottja funzjonijiet
Comment[nb]=Det berømte plotteprogrammet
Comment[nl]=Het beroemde functie-plotprogramma (grafieken van functies)
Comment[nn]=Eit program for plotting av funksjonar
Comment[pl]=Słynny program do rysowania wykresów
Comment[pt]=O famoso programa de gráficos de funções
Comment[pt_BR]=O famoso programa para plotagem de funções
Comment[ro]=Faimosul program de trasare de funcții
Comment[ru]=Знаменитая программа для построения графиков функций
Comment[sc]=Su programa po fai plot de funtzionis
Comment[sk]=Plotting program s mnohými funkciami
Comment[sl]=Znani program za risanje funkcij
Comment[sq]=Program me famë të funksioneve gjurmuese
Comment[sr]=Познати функционални плотинг програм
Comment[sr@Latn]=Poznati funkcionalni ploting program
Comment[sv]=Det berömda programmet för funktionsplotting
Comment[ta]=gவரைவியல்
Comment[tg]=Барномаи машҳури нақшакашии вазифоӣ
Comment[th]=โปรแกรมวาดรูปฟังชั่น
Comment[tl]=Ang tanyag na program na nagpa-plot ng function
Comment[tr]=Fonksiyon çizim programı
Comment[uk]=Відома програма для побудови графіків функцій
Comment[vi]=Chương trình có chức năng vẽ nổi tiếng
Comment[wa]=Li fameus programe di traçaedje di fonccions
Comment[zh_CN]=绘制函数图像
Comment[zh_TW]=著名的函數繪製程式
Exec=%{name}
Icon=%{name}
Terminal=true
Type=Application
StartupNotify=true
Categories=Graphics;Science;
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}-qt.desktop << EOF
[Desktop Entry]
Name=Gnuplot Qt5
GenericName=Function plotting program
GenericName[ru]=Построение графиков функций
Comment=The famous function plotting program
Comment[af]=Die welbekende funksieplotprogram
Comment[ar]=برنامج تحديد الوظائف الشهير
Comment[az]=Funksiya çap edici proqram
Comment[bg]=Програма за чертане с плотер
Comment[bn]=ফাংশন প্লট অঙ্কনকারী বিখ্যাত প্রোগ্রাম
Comment[bs]=Poznati program za crtanje funkcija
Comment[ca]=El conegut programa de funcions d'impressió amb traçador
Comment[cs]=Známý program pro vytváření grafů funkcí
Comment[cy]=Rhaglen plotio swyddogaeth enwog
Comment[da]=Det berømte funktion-plotteprogram
Comment[de]=Das berühmte Programm zur Darstellung mathematischer Funktionen
Comment[el]=Το διάσημο πρόγραμμα σχεδίασης μαθηματικών συναρτήσεων
Comment[es]=El programa famoso de graficado de funciones
Comment[et]=Kuulus funktsioonide joonistamise rakendus
Comment[eu]=Funtzioak marrazteko programa ospetsua
Comment[fa]=برنامه‌ی مشهور ترسیم تابع
Comment[fi]=Kuuluisa kuvaajienpiirto-ohjelma
Comment[fr]=Le fameux programme de traçage de fonction
Comment[gl]=O famoso programa de representación de funcións
Comment[he]=תוכנת ציור הפונקציות המפורסמת
Comment[hi]=एक प्रसिद्ध फ़ंक्शन प्लौटिंग प्रोग्राम
Comment[hr]=Čuveni program za crtanje funkcija
Comment[hu]=Elterjedt függvényábrázoló
Comment[id]=Program plot terkenal
Comment[is]=Víðfrægt falla-teikniforrit
Comment[it]=Il famoso programma per tracciare funzioni
Comment[ja]=有名な関数プロットソフト
Comment[ky]=Белгилүү функция сызуучу програм
Comment[lt]=Garsioji funkcijų braižymų programa
Comment[lv]=Slavenā programma funkciju zīmēšanai
Comment[mk]=Познатиот програм за цртање графици на функции
Comment[mt]=Programm famuż li jipplottja funzjonijiet
Comment[nb]=Det berømte plotteprogrammet
Comment[nl]=Het beroemde functie-plotprogramma (grafieken van functies)
Comment[nn]=Eit program for plotting av funksjonar
Comment[pl]=Słynny program do rysowania wykresów
Comment[pt]=O famoso programa de gráficos de funções
Comment[pt_BR]=O famoso programa para plotagem de funções
Comment[ro]=Faimosul program de trasare de funcții
Comment[ru]=Знаменитая программа для построения графиков функций
Comment[sc]=Su programa po fai plot de funtzionis
Comment[sk]=Plotting program s mnohými funkciami
Comment[sl]=Znani program za risanje funkcij
Comment[sq]=Program me famë të funksioneve gjurmuese
Comment[sr]=Познати функционални плотинг програм
Comment[sr@Latn]=Poznati funkcionalni ploting program
Comment[sv]=Det berömda programmet för funktionsplotting
Comment[ta]=gவரைவியல்
Comment[tg]=Барномаи машҳури нақшакашии вазифоӣ
Comment[th]=โปรแกรมวาดรูปฟังชั่น
Comment[tl]=Ang tanyag na program na nagpa-plot ng function
Comment[tr]=Fonksiyon çizim programı
Comment[uk]=Відома програма для побудови графіків функцій
Comment[vi]=Chương trình có chức năng vẽ nổi tiếng
Comment[wa]=Li fameus programe di traçaedje di fonccions
Comment[zh_CN]=绘制函数图像
Comment[zh_TW]=著名的函數繪製程式
Exec=%{name}
Icon=%{name}
Terminal=true
Type=Application
StartupNotify=true
Categories=Graphics;Science;Qt;
EOF


# icon
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}-qt.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}-qt.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}-qt.png

%files
%{_bindir}/gnuplot
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files qt
%{_bindir}/gnuplot-qt
%{_datadir}/applications/%{_real_vendor}-%{name}-qt.desktop
%{_miconsdir}/%{name}-qt.png
%{_iconsdir}/%{name}-qt.png
%{_liconsdir}/%{name}-qt.png

%files nox
%doc demo docs/psdoc docs/gnuplot.pdf
%doc Copyright faq.html
%doc README
%doc NEWS PORTING
%{_bindir}/gnuplot-nox
%{_mandir}/*/*
%{_libexecdir}/gnuplot
%{_datadir}/gnuplot
%{_datadir}/texmf/tex/latex/gnuplot

%files mode
%doc gnuplot-mode-%{modeversion}/gpelcard.pdf
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_datadir}/emacs/site-lisp/*


%changelog
* Sat Jun 03 2017 akien <akien> 5.0.6-2.mga6
+ Revision: 1106095
- Rebuild for wxgtk 3.0.3.1

* Tue Apr 25 2017 akien <akien> 5.0.6-1.mga6
+ Revision: 1097396
- Version 5.0.6

* Thu Mar 09 2017 neoclust <neoclust> 5.0.5-1.mga6
+ Revision: 1090988
- Enable Qt support
- New version 5.0.5

* Mon Jul 18 2016 neoclust <neoclust> 5.0.1-5.mga6
+ Revision: 1042464
- Rebuild to fix deps on armv5

* Thu Jun 02 2016 daviddavid <daviddavid> 5.0.1-4.mga6
+ Revision: 1019813
- rebuild for wxgtk3.0 built with GTK2

* Mon Feb 15 2016 umeabot <umeabot> 5.0.1-3.mga6
+ Revision: 960501
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 wally <wally> 5.0.1-2.mga6
+ Revision: 868306
- build with libcerf

* Thu Jul 23 2015 wally <wally> 5.0.1-1.mga6
+ Revision: 856583
- new version 5.0.1
- update gnuplot-mode to 0.7.0
- switch to wxgtk3.0
- clean .spec a bit

* Tue Apr 14 2015 akien <akien> 4.6.5-8.mga5
+ Revision: 820185
- Rebuild in core/release

* Mon Apr 13 2015 akien <akien> 4.6.5-7.mga5
+ Revision: 820105
- Build against wxGTK 2.8 (fixes crash with wxt terminal, mga#13024)

* Mon Feb 16 2015 oden <oden> 4.6.5-6.mga5
+ Revision: 815144
- rebuilt for libgd-2.1.1

* Wed Jan 07 2015 alexl <alexl> 4.6.5-5.mga5
+ Revision: 808996
- updated desktop file

* Wed Nov 26 2014 alexl <alexl> 4.6.5-4.mga5
+ Revision: 799329
- added translations for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 4.6.5-3.mga5
+ Revision: 748917
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.6.5-2.mga5
+ Revision: 679831
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 pterjan <pterjan> 4.6.5-1.mga5
+ Revision: 640939
- 4.6.5

* Wed Feb 05 2014 fwang <fwang> 4.6.4-1.mga5
+ Revision: 583563
- there is no info file now
- new version 4.6.4

* Tue Oct 22 2013 umeabot <umeabot> 4.6.3-3.mga4
+ Revision: 545873
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 4.6.3-2.mga4
+ Revision: 501932
- BR texlive-texmf

* Tue Aug 06 2013 fwang <fwang> 4.6.3-1.mga4
+ Revision: 464104
- fix texi file
- new version 4.6.3

* Tue May 28 2013 oden <oden> 4.6.1-5.mga4
+ Revision: 429282
- rebuilt against libgd.so.3

* Sat Jan 26 2013 cjw <cjw> 4.6.1-4.mga3
+ Revision: 392531
- patch2: improve detection of cross builds, host must be defined (fixes #8806)

* Sat Jan 12 2013 umeabot <umeabot> 4.6.1-3.mga3
+ Revision: 352383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 pterjan <pterjan> 4.6.1-2.mga3
+ Revision: 339621
- Fix for _libdir != _libexecdir

* Fri Oct 26 2012 fwang <fwang> 4.6.1-1.mga3
+ Revision: 310530
- update file list
- format patch not needed
- new version 4.6.1

* Wed Aug 01 2012 nanardon <nanardon> 4.6.0-1.mga3
+ Revision: 277556
- 4.6.0

* Wed Mar 14 2012 nanardon <nanardon> 4.4.4-7.mga2
+ Revision: 223403
- really fix update

* Wed Mar 14 2012 nanardon <nanardon> 4.4.4-6.mga2
+ Revision: 223401
- fix update

* Sun Mar 11 2012 anssi <anssi> 4.4.4-5.mga2
+ Revision: 222799
- restore removed obsoletes on removed gnuplot-doc subpackage
- adapt conflicts for documentation moved from main pkg to -nox in 4.4.4-4

  + nanardon <nanardon>
    - move all data into gnuplot-nox, then make gnuplot requires -nox making both more consistent
    - merging -doc package in main one, then solving #2744

* Mon Dec 12 2011 pterjan <pterjan> 4.4.4-2.mga2
+ Revision: 180828
- Move desktop file and icons out of -nox, desktop file is for the main binary
- Use a valid category in the desktop file
- Make the -doc package noarch
- Re-enable ps docs, texlive was fixed

  + guillomovitch <guillomovitch>
    - new version

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs
    - Disable building the ps docs at texlive stops with an error
      https://bugs.mageia.org/show_bug.cgi?id=2273

* Tue May 17 2011 dmorgan <dmorgan> 4.4.3-1.mga1
+ Revision: 99435
- Add conflict to fix upgrade
- New version 4.4.3
  Sync with mdv for splitting ( mdv commit 657966 )
- Backport mdv commit 657554 (Adding BuildRequires on cairo-devel to enable the build of pngcairo and pdfcairo support, thus fixing bug 63109.)

* Sat Mar 05 2011 grenoya <grenoya> 4.4.2-3.mga1
+ Revision: 64703
- change tetex-latex dependencie to texlive

* Thu Feb 24 2011 grenoya <grenoya> 4.4.2-2.mga1
+ Revision: 58953
- clean old mdv syntax
- imported package gnuplot

